Merge "Remove port from NEXUS_URL for netrc"
[releng/global-jjb.git] / .jjb-test / expected-xml / gerrit-ciman-jjb-deploy-job
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <jenkins.model.BuildDiscarderProperty>
13       <strategy class="hudson.tasks.LogRotator">
14         <daysToKeep>1</daysToKeep>
15         <numToKeep>-1</numToKeep>
16         <artifactDaysToKeep>-1</artifactDaysToKeep>
17         <artifactNumToKeep>0</artifactNumToKeep>
18       </strategy>
19     </jenkins.model.BuildDiscarderProperty>
20     <hudson.model.ParametersDefinitionProperty>
21       <parameterDefinitions>
22         <hudson.model.StringParameterDefinition>
23           <name>PROJECT</name>
24           <description>Parameter to identify a Gerrit project. This is typically the
25 project repo path as exists in Gerrit.
26 For example: ofextensions/circuitsw
27 </description>
28           <defaultValue>releng/ciman</defaultValue>
29         </hudson.model.StringParameterDefinition>
30         <hudson.model.StringParameterDefinition>
31           <name>STREAM</name>
32           <description>Stream is often set to the same name as 'branch' but can
33 sometimes be used as a name representing a project's release code
34 name.
35 </description>
36           <defaultValue>master</defaultValue>
37         </hudson.model.StringParameterDefinition>
38         <hudson.model.StringParameterDefinition>
39           <name>GERRIT_PROJECT</name>
40           <description>Parameter to identify Gerrit project. This is typically the
41 project repo path as exists in Gerrit.
42 For example: ofextensions/circuitsw
43
44 Note that Gerrit will override this parameter automatically if a
45 job is triggered by Gerrit.
46 </description>
47           <defaultValue>releng/ciman</defaultValue>
48         </hudson.model.StringParameterDefinition>
49         <hudson.model.StringParameterDefinition>
50           <name>GERRIT_BRANCH</name>
51           <description>Parameter to identify a Gerrit branch.
52
53 Note that Gerrit will override this parameter automatically if a
54 job is triggered by Gerrit.
55 </description>
56           <defaultValue>master</defaultValue>
57         </hudson.model.StringParameterDefinition>
58         <hudson.model.StringParameterDefinition>
59           <name>GERRIT_REFSPEC</name>
60           <description>Parameter to identify a refspec when pulling from Gerrit.
61
62 Note that Gerrit will override this parameter automatically if a
63 job is triggered by Gerrit.
64 </description>
65           <defaultValue>refs/heads/master</defaultValue>
66         </hudson.model.StringParameterDefinition>
67         <hudson.model.StringParameterDefinition>
68           <name>LFTOOLS_VERSION</name>
69           <description>Version of lftools to install. Can be a specific version like
70 '0.6.0' or a PEP-440 definition.
71 https://www.python.org/dev/peps/pep-0440/
72 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
73 </description>
74           <defaultValue>&lt;1.0.0</defaultValue>
75         </hudson.model.StringParameterDefinition>
76       </parameterDefinitions>
77     </hudson.model.ParametersDefinitionProperty>
78   </properties>
79   <scm class="hudson.plugins.git.GitSCM">
80     <configVersion>2</configVersion>
81     <userRemoteConfigs>
82       <hudson.plugins.git.UserRemoteConfig>
83         <name>origin</name>
84         <refspec>refs/heads/master</refspec>
85         <url>$GIT_URL/$GERRIT_PROJECT</url>
86         <credentialsId>test-credential</credentialsId>
87       </hudson.plugins.git.UserRemoteConfig>
88     </userRemoteConfigs>
89     <branches>
90       <hudson.plugins.git.BranchSpec>
91         <name>refs/heads/master</name>
92       </hudson.plugins.git.BranchSpec>
93     </branches>
94     <excludedUsers/>
95     <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
96     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
97     <authorOrCommitter>false</authorOrCommitter>
98     <wipeOutWorkspace>true</wipeOutWorkspace>
99     <pruneBranches>false</pruneBranches>
100     <remotePoll>false</remotePoll>
101     <gitTool>Default</gitTool>
102     <submoduleCfg class="list"/>
103     <relativeTargetDir/>
104     <reference/>
105     <gitConfigName/>
106     <gitConfigEmail/>
107     <skipTag>true</skipTag>
108     <scmName/>
109     <useShallowClone>false</useShallowClone>
110     <ignoreNotifyCommit>false</ignoreNotifyCommit>
111     <extensions>
112       <hudson.plugins.git.extensions.impl.SubmoduleOption>
113         <disableSubmodules>false</disableSubmodules>
114         <recursiveSubmodules>true</recursiveSubmodules>
115         <trackingSubmodules>false</trackingSubmodules>
116         <reference/>
117         <timeout>10</timeout>
118       </hudson.plugins.git.extensions.impl.SubmoduleOption>
119       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
120     </extensions>
121   </scm>
122   <triggers class="vector">
123     <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
124       <spec/>
125       <gerritProjects>
126         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
127           <compareType>ANT</compareType>
128           <pattern>releng/ciman</pattern>
129           <branches>
130             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
131               <compareType>ANT</compareType>
132               <pattern>**/master</pattern>
133             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
134           </branches>
135           <disableStrictForbiddenFileVerification>false</disableStrictForbiddenFileVerification>
136         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
137       </gerritProjects>
138       <skipVote>
139         <onSuccessful>false</onSuccessful>
140         <onFailed>false</onFailed>
141         <onUnstable>false</onUnstable>
142         <onNotBuilt>false</onNotBuilt>
143       </skipVote>
144       <silentMode>false</silentMode>
145       <silentStartMode>false</silentStartMode>
146       <escapeQuotes>true</escapeQuotes>
147       <noNameAndEmailParameters>false</noNameAndEmailParameters>
148       <readableMessage>false</readableMessage>
149       <dependencyJobsNames/>
150       <notificationLevel/>
151       <dynamicTriggerConfiguration>False</dynamicTriggerConfiguration>
152       <triggerConfigURL/>
153       <allowTriggeringUnreviewedPatches>false</allowTriggeringUnreviewedPatches>
154       <triggerOnEvents>
155         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
156           <commentAddedCommentContains>jjb-deploy (?!\*+$).+$</commentAddedCommentContains>
157         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
158       </triggerOnEvents>
159       <buildStartMessage/>
160       <buildFailureMessage/>
161       <buildSuccessfulMessage/>
162       <buildUnstableMessage/>
163       <buildNotBuiltMessage/>
164       <buildUnsuccessfulFilepath/>
165       <customUrl/>
166       <serverName>test-server</serverName>
167     </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
168   </triggers>
169   <builders>
170     <EnvInjectBuilder>
171       <info>
172         <propertiesContent>PIP_PACKAGES=jenkins-job-builder</propertiesContent>
173       </info>
174     </EnvInjectBuilder>
175     <hudson.tasks.Shell>
176       <command>#!/bin/bash
177 # SPDX-License-Identifier: EPL-1.0
178 ##############################################################################
179 # Copyright (c) 2017 The Linux Foundation and others.
180 #
181 # All rights reserved. This program and the accompanying materials
182 # are made available under the terms of the Eclipse Public License v1.0
183 # which accompanies this distribution, and is available at
184 # http://www.eclipse.org/legal/epl-v10.html
185 ##############################################################################
186 # pip install packages into a virtualenv using the first listed package as venv name
187 #
188 # PIP_PACKAGES is a space separated list of pypi packages to install. The first
189 #              listed package is used as the virtualenv directory name.
190 echo &quot;---&gt; pip-install.sh&quot;
191
192 # Ensure we fail the job if any steps fail.
193 # DO NOT set -u as virtualenv's activate script has unbound variables
194 set -e -o pipefail
195
196 # Install git-review using virtualenv to the latest version that supports
197 # --reviewers option, available through pip install. Existing minion image has a
198 # version that does not have it.
199 virtualenv &quot;/tmp/v/${PIP_PACKAGES%% *}&quot;
200 # shellcheck source=/tmp/v/venv/bin/activate disable=SC1091
201 source &quot;/tmp/v/${PIP_PACKAGES%% *}/bin/activate&quot;
202 pip install --quiet --upgrade pip
203 pip install --quiet --upgrade pipdeptree
204
205 # PIP_PACKAGES needs to be passed through as a space separated list of packages
206 # shellcheck disable=SC2086
207 pip install --upgrade $PIP_PACKAGES
208
209 echo &quot;----&gt; Pip Dependency Tree&quot;
210 pipdeptree
211 </command>
212     </hudson.tasks.Shell>
213     <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
214       <managedFiles>
215         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
216           <fileId>jjbini-sandbox</fileId>
217           <targetLocation>$HOME/.config/jenkins_jobs/jenkins_jobs.ini</targetLocation>
218           <variable/>
219         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
220       </managedFiles>
221     </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
222     <hudson.tasks.Shell>
223       <command>#!/bin/bash
224 # SPDX-License-Identifier: EPL-1.0
225 ##############################################################################
226 # Copyright (c) 2017 The Linux Foundation and others.
227 #
228 # All rights reserved. This program and the accompanying materials
229 # are made available under the terms of the Eclipse Public License v1.0
230 # which accompanies this distribution, and is available at
231 # http://www.eclipse.org/legal/epl-v10.html
232 ##############################################################################
233 # Push a job to jenkins-sandbox via Gerrit / GitHub comment
234 # Comment Pattern: jjb-deploy JOB_NAME
235 # JOB_NAME: Can also include * wildcards too. Additional parameters are ignored.
236 echo &quot;---&gt; jjb-deploy-job.sh&quot;
237
238 # Ensure we fail the job if any steps fail.
239 set -e -o pipefail
240
241 # shellcheck source=/tmp/v/jenkins-job-builder/bin/activate disable=SC1091
242 source &quot;/tmp/v/jenkins-job-builder/bin/activate&quot;
243
244 echo &quot;-----&gt; Fetching project&quot;
245 git fetch origin &quot;$GERRIT_REFSPEC&quot; &amp;&amp; git checkout FETCH_HEAD
246
247 # If not Gerrit Trigger than assume GitHub
248 COMMENT=&quot;${GERRIT_EVENT_COMMENT_TEXT:-$ghprbCommentBody}&quot;
249 JOB_NAME=$(echo &quot;$COMMENT&quot; | grep jjb-deploy | awk '{print $2}')
250
251 # Strip all * characters to prevent pushing all jobs to Jenkins
252 if [ -z &quot;${JOB_NAME//\*/}&quot; ]; then
253     echo &quot;ERROR: JOB_NAME cannot be empty or '*'.&quot;
254     exit 1
255 fi
256
257 jenkins-jobs update --recursive --workers 4 jjb/ &quot;$JOB_NAME&quot;
258 </command>
259     </hudson.tasks.Shell>
260   </builders>
261   <publishers>
262     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
263       <buildSteps>
264         <hudson.tasks.Shell>
265           <command>#!/bin/bash
266 # SPDX-License-Identifier: EPL-1.0
267 ##############################################################################
268 # Copyright (c) 2017 The Linux Foundation and others.
269 #
270 # All rights reserved. This program and the accompanying materials
271 # are made available under the terms of the Eclipse Public License v1.0
272 # which accompanies this distribution, and is available at
273 # http://www.eclipse.org/legal/epl-v10.html
274 ##############################################################################
275 echo &quot;---&gt; sysstat.sh&quot;
276 set +e  # DON'T fail build if script fails.
277
278 OS=$(facter operatingsystem)
279 case &quot;$OS&quot; in
280     Ubuntu)
281         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
282
283         # Dont run the script when systat is not enabled by default
284         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
285             exit 0
286         fi
287     ;;
288     CentOS|RedHat)
289         SYSSTAT_PATH=&quot;/var/log/sa&quot;
290     ;;
291     *)
292         # nothing to do
293         exit 0
294     ;;
295 esac
296
297 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
298 mkdir -p &quot;$SAR_DIR&quot;
299 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
300 # convert sar data to ascii format
301 while IFS=&quot;&quot; read -r s
302 do
303     [ -f &quot;$s&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$s&quot; &gt; &quot;$SAR_DIR/sar${s//[!0-9]/}&quot;
304 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
305
306 # DON'T fail build if script fails.
307 exit 0
308 </command>
309         </hudson.tasks.Shell>
310         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
311           <managedFiles>
312             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
313               <fileId>jenkins-log-archives-settings</fileId>
314               <targetLocation/>
315               <variable>SETTINGS_FILE</variable>
316             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
317           </managedFiles>
318         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
319         <EnvInjectBuilder>
320           <info>
321             <propertiesContent>SERVER_ID=logs</propertiesContent>
322           </info>
323         </EnvInjectBuilder>
324         <hudson.tasks.Shell>
325           <command>#!/bin/bash
326 # SPDX-License-Identifier: EPL-1.0
327 ##############################################################################
328 # Copyright (c) 2017 The Linux Foundation and others.
329 #
330 # All rights reserved. This program and the accompanying materials
331 # are made available under the terms of the Eclipse Public License v1.0
332 # which accompanies this distribution, and is available at
333 # http://www.eclipse.org/legal/epl-v10.html
334 ##############################################################################
335 echo &quot;---&gt; create-netrc.sh&quot;
336
337 # Ensure we fail the job if any steps fail.
338 set -eu -o pipefail
339
340 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
341 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
342     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
343     -v x:username -o &quot;:&quot; -v x:password \
344     &quot;$SETTINGS_FILE&quot;)
345
346 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
347 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
348 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
349
350 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
351 </command>
352         </hudson.tasks.Shell>
353         <hudson.tasks.Shell>
354           <command>#!/bin/bash
355 # SPDX-License-Identifier: EPL-1.0
356 ##############################################################################
357 # Copyright (c) 2017 The Linux Foundation and others.
358 #
359 # All rights reserved. This program and the accompanying materials
360 # are made available under the terms of the Eclipse Public License v1.0
361 # which accompanies this distribution, and is available at
362 # http://www.eclipse.org/legal/epl-v10.html
363 ##############################################################################
364 echo &quot;---&gt; lftools-install.sh&quot;
365
366 # Script to install lftools via a version passed in via lf-infra-parameters
367 #
368 # Required parameters:
369 #
370 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
371 #                      set to a strict version number like '1.2.3' or using
372 #                      PEP-440 definitions.
373 #
374 #                      Examples:
375 #                          &lt;1.0.0
376 #                          &gt;=1.0.0,&lt;2.0.0
377 #
378 # By default a released version of lftools should always be used.
379 # The purpose of the 2 variables below is so that lftools devs can test
380 # unreleased versions of lftools. There are 2 methods to install a dev version
381 # of lftools:
382 #
383 #     1) gerrit patch: Used to test a patch that has not yet been merged.
384 #                      To do this set something like this:
385 #                          LFTOOLS_MODE=gerrit
386 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
387 #
388 #     2) git branch: Used to install an lftools version from a specific branch.
389 #                    To use this set the variables as follows:
390 #                          LFTOOLS_MODE=git
391 #                          LFTOOLS_REFSPEC=master
392 #
393 #     3) release : The intended use case and default setting.
394 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
395
396 LFTOOLS_MODE=release  # release | git | gerrit
397 LFTOOLS_REFSPEC=master
398
399 # Ensure we fail the job if any steps fail.
400 # DO NOT set -u as virtualenv's activate script has unbound variables
401 set -e -o pipefail
402
403 virtualenv --quiet &quot;/tmp/v/lftools&quot;
404 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
405 source &quot;/tmp/v/lftools/bin/activate&quot;
406 pip install --quiet --upgrade pip
407
408 case $LFTOOLS_MODE in
409     gerrit)
410         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
411         pushd /tmp/lftools
412         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
413         git checkout FETCH_HEAD
414         pip install --quiet --upgrade -r requirements.txt
415         pip install --quiet --upgrade -e .
416         popd
417         ;;
418
419     git)
420         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
421         ;;
422
423     release)
424         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
425             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
426         fi
427
428         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
429         ;;
430 esac
431
432 lftools --version
433
434 # pipdeptree prints out a lot of information because lftools pulls in many
435 # dependencies. Let's only print it if we want to debug.
436 # echo &quot;----&gt; Pip Dependency Tree&quot;
437 # pip install --quiet --upgrade pipdeptree
438 # pipdeptree
439
440 #!/bin/bash
441 # SPDX-License-Identifier: EPL-1.0
442 ##############################################################################
443 # Copyright (c) 2017 The Linux Foundation and others.
444 #
445 # All rights reserved. This program and the accompanying materials
446 # are made available under the terms of the Eclipse Public License v1.0
447 # which accompanies this distribution, and is available at
448 # http://www.eclipse.org/legal/epl-v10.html
449 ##############################################################################
450 echo &quot;---&gt; logs-deploy.sh&quot;
451
452 # Ensure we fail the job if any steps fail.
453 set -eu -o pipefail
454
455 set -x  # Trace commands for this script to make debugging easier.
456
457 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
458 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
459
460 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
461 then
462     set +x # Disable trace since we no longer need it
463
464     echo &quot;WARNING: Logging server not set&quot;
465 else
466     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
467     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
468     BUILD_URL=&quot;${BUILD_URL}&quot;
469
470     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
471     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
472
473     set +x  # Disable trace since we no longer need it.
474
475     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
476 fi
477 </command>
478         </hudson.tasks.Shell>
479         <hudson.tasks.Shell>
480           <command>#!/bin/bash
481 # SPDX-License-Identifier: EPL-1.0
482 ##############################################################################
483 # Copyright (c) 2017 The Linux Foundation and others.
484 #
485 # All rights reserved. This program and the accompanying materials
486 # are made available under the terms of the Eclipse Public License v1.0
487 # which accompanies this distribution, and is available at
488 # http://www.eclipse.org/legal/epl-v10.html
489 ##############################################################################
490
491 # Clear log credential files
492 rm &quot;$SETTINGS_FILE&quot;
493 rm ~/.netrc
494 </command>
495         </hudson.tasks.Shell>
496         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
497           <regexp>^Build logs: .*</regexp>
498         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
499       </buildSteps>
500       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
501       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
502       <markBuildUnstable>false</markBuildUnstable>
503     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
504     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
505       <patterns>
506         <hudson.plugins.ws__cleanup.Pattern>
507           <pattern>**/*.jenkins-trigger</pattern>
508           <type>EXCLUDE</type>
509         </hudson.plugins.ws__cleanup.Pattern>
510       </patterns>
511       <deleteDirs>false</deleteDirs>
512       <cleanupMatrixParent>false</cleanupMatrixParent>
513       <externalDelete/>
514       <cleanWhenSuccess>true</cleanWhenSuccess>
515       <cleanWhenUnstable>true</cleanWhenUnstable>
516       <cleanWhenFailure>true</cleanWhenFailure>
517       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
518       <cleanWhenAborted>true</cleanWhenAborted>
519       <notFailBuild>true</notFailBuild>
520     </hudson.plugins.ws__cleanup.WsCleanup>
521   </publishers>
522   <buildWrappers>
523     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
524     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
525       <timeoutMinutes>5</timeoutMinutes>
526       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
527       <failBuild>true</failBuild>
528       <writingDescription>false</writingDescription>
529       <timeoutPercentage>0</timeoutPercentage>
530       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
531       <timeoutType>absolute</timeoutType>
532     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
533     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
534     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
535       <user>test-credential</user>
536     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
537     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
538   </buildWrappers>
539 </project>